﻿using UnityEngine;

public class ActorMovement : MonoBehaviour
{
    [SerializeField]
    private float speed;

    private Vector2 velocity;

    private new Rigidbody2D rigidbody2D;

    [SerializeField]
    private Animator anim;

    private void Start()
    {
        rigidbody2D = GetComponent<Rigidbody2D>();
    }

    public void MoveInput(float moveX, float moveY)
    {
        if(GameController.gc.GetState() == GameState.OVERWORLD)
        {
            velocity = new Vector2(moveX, moveY) * speed;

            if (velocity.magnitude > 0.1f)
            {
                if (velocity.y > velocity.x && velocity.y > 0.1f)
                {
                    anim.SetBool("Up", true);
                    anim.SetBool("Right", false);
                    anim.SetBool("BottomLeft", false);
                }
                else if (velocity.x > velocity.y && velocity.x > 0.1f)
                {
                    anim.SetBool("Up", false);
                    anim.SetBool("Right", true);
                    anim.SetBool("BottomLeft", false);
                }
                else
                {
                    anim.SetBool("Up", false);
                    anim.SetBool("Right", false);
                    anim.SetBool("BottomLeft", true);
                }
            }
            else
            {
                anim.SetBool("Up", false);
                anim.SetBool("Right", false);
                anim.SetBool("BottomLeft", false);
            }
        }
        else
        {
            anim.SetBool("Up", false);
            anim.SetBool("Right", false);
            anim.SetBool("BottomLeft", false);
        }
    }

    private void FixedUpdate()
    {
        if (GameController.gc.GetState() == GameState.OVERWORLD)
            rigidbody2D.velocity = velocity;
        else
            rigidbody2D.velocity = Vector3.zero;
    }
}