﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class BlockedArea : MonoBehaviour
{
    [SerializeField]
    private Collider2D block;

    [SerializeField]
    private GameObject hiddenObjs;

    [SerializeField]
    private CraftableItem item;

    [SerializeField]
    private Text txt;

    [SerializeField]
    private string failString;

    [SerializeField]
    private string successString;

    private Coroutine routine;

    private bool unlocked = false;

    private void OnTriggerEnter2D(Collider2D other)
    {
        if(!unlocked && other.tag == "Player")
            PlayerState.state.SetInTrigger(item, this);
    }

    private void OnTriggerStay2D(Collider2D other)
    {
        if (!unlocked && other.tag == "Player")
            PlayerState.state.SetInTrigger(item, this);
    }

    public void Unlock()
    {
        if (!unlocked)
        {
            unlocked = true;
            Destroy(block);
            hiddenObjs.SetActive(true);
            txt.text = successString;
            if (routine != null)
                StopCoroutine(routine);

            routine = StartCoroutine(CancelMessage());
        }
    }

    public void Fail()
    {
        if (!unlocked)
        {
            txt.text = failString;
            if (routine != null)
                StopCoroutine(routine);

            routine = StartCoroutine(CancelMessage());
        }
    }

    private IEnumerator CancelMessage()
    {
        yield return new WaitForSeconds(5f);
        txt.text = "";
    }
}