﻿using UnityEngine;
using UnityEngine.UI;

public class CraftDialogue : MonoBehaviour
{
    public static CraftDialogue cd;

    private CraftableItem item;

    [SerializeField]
    private Image img;
    [SerializeField]
    private Text itemName;
    [SerializeField]
    private Text desc;

    [SerializeField]
    private GameState thisState;
    [SerializeField]
    private GameState returnState;

    private void Start()
    {
        cd = this;
        Accept();
    }

    public void SetItem(CraftableItem item)
    {
        GameController.gc.SetState(thisState);

        this.item = item;
        img.sprite = item.itemSprite;
        itemName.text = item.itemName;
        desc.text = item.itemDesc;
    }

    public void Accept()
    {
        GameController.gc.SetState(returnState);
        gameObject.SetActive(false);
    }

    public void Update()
    {
        if (Input.anyKeyDown)
            Accept();
    }
}