﻿using UnityEngine;
using System;

[Serializable]
public class CraftableItem : ScriptableObject
{
    public string itemName;
    public string itemDesc;
    public Sprite itemSprite;

    public bool crafted;
    public ItemSlot item;

    public bool Unlock()
    {
        bool tempCraft = crafted;
        crafted = true;
        item.img.sprite = itemSprite;
        item.txt.text = itemName;

        item.MakeInteractable();

        return tempCraft;
    }

    public bool IsUnlocked()
    {
        return crafted;
    }
}